#       Copyright 2010 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

#HELP
#usage [name]
#print a usage for name described in $USAGE_DIR/name.usage on the stderr
#ENDHELP
#=======================================================================#
$$
usage()
{
[[ $1 ]] || set "$ZP_NAME"
if [[ -r $ZENPAKT_USAGE_DIR/$1.usage ]]; then
  cat "$ZENPAKT_USAGE_DIR/$1.usage"
else
  if [[ $2 ]] ; then
    local options
    IFS=/ read -a  options <<<"$2"
    options=( "${options[@]//:/ arg}" )
    printf '%s\n' "$1: $(printf '[%s]' "${options[@]}")" "$3"
  else
     printf '%s\n' "$1 : see the man page for usage"
  fi
fi
} >&2
#=======================================================================#
